Posteado por: chipi | diciembre 16, 2008

Instalar Wicd en Fedora

fedora

Para instalar este gestor de red primero nos logueamos en una temrinal como root.

$ su -

Instalamos las dependencias

# yum -y install python python-devel wget

Y ahora descargamos la última versión de wicd, la extraemos, entramos en la carpeta descomprimida

# cd /usr/local/src
# wget http://downloads.sourceforge.net/wicd/wicd-1.5.6.tar.gz
# tar -xf wicd-1.5.6.tar.gz
# cd wicd-1.5.6

Y ahora configuramos e instalamos wicd

# python setup.py configure
# python setup.py install

Ahora deshabilitamos NetworkManager y haremos que no se cargue de nuevo al inicio

# service NetworkManager stop
# chkconfig NetworkManager off

Y ahora haremos que se cargue al inicio Wicd

# chkconfig wicd on

Reiniciamos y vòila

Fuente: wicd.net

Posteado por: chipi | diciembre 15, 2008

[Solución error Grub] Error 11: Unrecognized devide string

Éste es el error que me he encontrado hoy al actualizar Fedora y querer meterme en el nuevo kernel. Resulta que es una tontería en un principio el propio Fedora actualiza el grub  y lo deja así:

#Repartidas en 5 líneas

title Fedora (2.6.27.7-134.fc10.i686)
root (hd0,4)
kernel /boot/vmlinuz-2.6.27.7-134.fc10.i686 ro
root=UUID=543f341b-4cdb-46e9-9da8-d1591feb9842 rhgb quiet splash
initrd /boot/initrd-2.6.27.7-134.fc10.i686.img

Bien, aparentemente normal. ¡Pues no! no se si habrá sido culpa de Fedora o si es que he hecho algo mal yo, reulta que la cuarta línea que comienza por root=…. no debería de estar ahí sino a continuación de la línea superior. Debería de quedar una cosa así:

#Repartidas en 4 líneas

title Fedora (2.6.27.7-134.fc10.i686)
root (hd0,4)
kernel /boot/vmlinuz-2.6.27.7-134.fc10.i686 ro root=UUID=543f341b-4cdb-46e9-9da8-d1591feb9842 rhgb quiet splash
initrd /boot/initrd-2.6.27.7-134.fc10.i686.img

Vaya error más tonto ¿verdad?

Posteado por: chipi | noviembre 18, 2008

Cambiar la resolución de las TTY

terminal-iconEn GNU/Linux tenemos unas consolas que podemos abrirlas sin necesidad de tener entorno gráfico, son las TTY y se abren con Control+Alt+F1 a F6 y se vuelve al entorno gráfico con F7, al igual pasa al arrancar una distribución de linux, en estas consolas se muestra el proceso de arranque. Lo más normal es que vengan con una resolucion baja, para cambiar la resolución hay que editar el grub, la sección kernel y añadirle vga=resolucion
Editamos con:
$ sudo nano /boot/grub/menu.lst
vamos a la línea de la distribución a la cual queremos cambiarle la resuloción, elegimos la nuestra de las de aquí abajo y lo añadimos al final de la línea del kernel.

640×480 – 800×600 – 1024×768 – 1280×1024
vga=769 – vga=771 – vga=773 – vga=775 – > 8 bits
vga=785 – vga=788 – vga=791 – vga=794 – > 16 bits
vga=786 – vga=789 – vga=792 – vga=795 – > 32 bits

Ejemplo:
title Arch Linux (on /dev/sdb6)
root (hd1,5)
kernel /boot/vmlinuz26 root=/dev/disk/by-uuid/eb3e36fe-ab08-4c14-83d0-6795dc810e40 ro splash vga=795
initrd /boot/kernel26.img
savedefault
boot

PD: por cierto, si quereis ver el proceso de arranque en lugar del splash es fácil, eliminas la palabra “splash” de la línea del kernel en el menu.lst y listo

Fuente: Busindre

Posteado por: chipi | noviembre 3, 2008

Wifi Atheros AR242X/AR5007EG en Ubuntu Intrepid Ibex

Ya ha salido la nueva versión de Ubuntu y bueno ya se sabe… el lío de volver a configurar todo de nuevo, pero bueno, vamos a instalar el wifi y como Intrepid Ibex incluye DKMS no tendremos que volver a compilar drivers cada vez que se actualice el kernel. Y por cierto, como ya sabeis tengo un Samsung R60 Plus con una ATI X1250 (creo que era) y sus conocidos problemas con las distribuciones Live, pues con esta nueva versión ha cargado el Live!, bueno ¡vamos a instalar el wifi de una vez!

Tenemos que deshabilitar (si lo tenemos habilitado) lo referente al chip Atheros en Sistema > Administración > Controladores de hardware e instalamos los headers del kernel y el paquete con los compiladores

$ sudo apt-get install build-essential linux-restricted-modules-$(uname -r)

Ahora debemos crear una carpeta donde dejar los drivers y no borrarlos para que el DKMS pueda recompilar los drivers desde allí. Yo los voy a meter en /home/chipi/Drivers/Wifi

$ mkdir -p ~/Drivers/Wifi

$ cd ~/Drivers/Wifi

Ahora, en lacarpeta que hemos creado nos descargamos los drivers. Para ello miramos aquí y descargamos la última versión (mirad la fecha). Por ejemplo yo he hecho:

$ wget http://snapshots.madwifi-project.org/madwifi-hal-0.10.5.6/madwifi-hal-0.10.5.6-r3879-20081204.tar.gz

Los descomprimimos y entramos en la carpeta

$ tar zxvf madwifi-hal-0.10.5.6-r3879-20081204.tar.gz && cd madwifi-hal-0.10.5.6-r3879-20081204

Ahora compilamos el driver y lo instalamos

$ make && sudo make install

Cargamos los módulos

$ sudo modprobe ath_pci && sudo modprobe ath_hal

Añadimos ath_pci a /etc/modules para que se cargue al inicio

$ echo ath_pci | sudo tee -a /etc/modules

Ahora reiniciaremos y listo, y podeis borrar el archivo .tar.gz, pero no borreis la carpeta o tendreis que compilar el driver cada vez que se actualice el kernel.

El tutorial está sacado de 3/4 Blog de Software Libre, gracias.

Posteado por: chipi | octubre 12, 2008

Automatizar tareas en GNU/Linux con “cron”

Cron es un demonio que nos permite ejecutar una aplicación, comando o script en un tiempo específico o cada cierto tiempo, de esta manera podemos hacer que un programa se abra a una hora en especial o podemos automatizar backups todos los viernes por ejemplo.. En fin cualquier cosa que se nos ocurra.

Podemos controlarlo desde la terminal y con un front-end, para gnome es gnome-schedule y para kde es kcron.

Si quereis controlarlo desde la terminal podeis leerlo directamente desde Tuxapuntes que lo ha explicado estupendamente.

Si os habeis leido un poco la explicación por terminal de tuxapuntes veis que es un poquito más complejo manejarlo por la consola pero para eso están los front-end, para simplificarnos estas cosas, asi que vamos a instalar el correspondiente a nuestro escritorio.

$ sudo apt-get install gnome-schedule

Ahora lo ejecutamos desde consola escribiendo “gnome-schedule” y le damos a Nuevo, allí especificamos el comando, y el período de tiempo en el que se va a actualizar

-Minutos va de 0 a 59 y representa el minuto en que se ejecuta
-Horas va de 0 a 23 y representa la hora en que se ejecuta
-Día va de 1 a 31 y es el dia del mes en que se ejecuta
-Mes va de 1 a 12 y representa el mes que se ejecuta
-Día de la semana va de 0 a 7 y el el dia de la semana en que se ejecuta (el domingo se puede indicar con el 0 o con el 7)

Fuente: Tuxapuntes, AlejandroX

Se puede hacer mediante dos métodos, en el segundo de ellos se necesita instalar un programa en el ipod/iphone (obviamente necesita tener el jailbreak) y sólo sirve para sincronizar el calendario de google calendar; en el primer método sincroniza el calendario y los contactos.

Primer método

Lo primero, no se si hace falta tener el jailbreak hecho (si alguien lo prueba…), bueno este método (creo) sólo descarga los eventos del calendario pero si tú creas uno en el ipod/iphone no se sube a la cuenta (vuelvo a decir que eso creo) y los contactos lo mismo claro. Bueno, al lio.

Necesitaremos obviamente una cuenta gmail, luego nos vamos a la página de Nuevasync, nos registramos y logueamos. Una vez con nuestra cuenta vamos a configurarla y damos a “change” y a “enable” en contactos y en el calendario, guardamos o lo que sea y nos vamos al iPhone/iPod.

Una vez en él vamos a Ajustes > Mail, contactos, calendarios ahora añadimos una cuenta de “Microsoft Exchange” y ahí ponemos el correo de gmail y en usuario y contraseña debemos poner los mismos con los que nos registramos en nuevasync. Una vez hecho esto le daremos a siguente, y se pondrá a verificar la cuenta lo que nos dará un error, aceptamos y rellenamos el nuevo campo “Servidor” ponemos “www.nuevasync.com“, aceptamos y activamos el correo, contactos y calendarios.

Ahora ya tendremos todos nuestros eventos en el calendario, contactos, etc.

Segundo método

Más fácil a mi parecer (pero es que yo ya lo había hecho en la versión 1.1.3 que tuve. En este método sí que necesita el jailbreak hecho seguro ya que el programa que hemos de instalar está en Cydia, y se llama “NemusSync”, lo buscamos e instalamos. Una vez instalado lo ejecutamos y añadimos nuestra cuenta Gmail, seleccionamos si queremos descargar los eventos o sólo subirlos, etc (si quereis modificar los ajustes por defecto vais a Avanzado y allí modificais y guardais), también podreis borrar los eventos etc. Ya con todo listo tan sólo debeis darle a [Sincronizar calendarios]

Posteado por: chipi | agosto 16, 2008

Música streaming PC –> iPhone/iTouch

Veamos cómo podemos escuchar la música del PC en el iPod por streaming.

Lo que necesitamos en un iPhone o un iPod Touch jailbreakeado, lo que no se es si estará el programa en las sources de firmwares anteriores al 2.0, el programa en cuestión se llama “Simplify” y se encuentra en la App Store (es gratuito). Una vez lo habeis instalado (necesitais tener cuenta de iTunes).

Ahora vamos al PC y nos vamos a la página de Simplify y nos lo descargamos según nuestro sistema operativo.

Yo voy a guiar para GNU/Linux obviamente pero es lo mismo que pone en el README del programa.

Necesitamos el rhythmbox y unos codecs que instalamos así:

$ sudo apt-get install rhythmbox gstreamer0.10-plugins-base gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly gstreamer0.10-plugins-bad gstreamer0.10-plugins-ugly-multiverse gstreamer0.10-plugins-bad-multiverse gstreamer0.10-ffmpeg gstreamer0.10-fluendo-mp3

Ahora vamos a la carpeta donde nos hemos descargado el programa y lo descomprimimos y entramos en la carpeta descomprimida e instalamos un shell script que nos prepara a rhythmbox con:

$ tar -xzvf simplifymedia.tar.gz && cd simplifymedia/rhythmbox_Ubuntu_8_04 && ./install_rhythmbox_daap.sh

Ahora podemos abrir el archivo “SimplifyMedia” que ejecuta el programa, allí nos crearemos una cuenta y le diremos en que carpeta tenemos la música.

Una vez hecho ésto nos vamos al iPhone/iTouch y abrimos el mismo programa, ponemos el mismo usuario y contraseña. Y voilà, ya tendremos la música allí.

Posteado por: chipi | agosto 15, 2008

¿Es tan buena la versión 2.0 del iPhone e iTouch?

Una vez más perdón por tener el blog tan abandonado, me temo que seguirá por el mismo camino (una actualización cada buff). Al lio.

Yo tengo un iPod Touch (anteriormente en 1.1.3) al cual he subido satisfactoriamente a la 2.0 después de intertarlo una millonada de veces gracias a Gigabriones pero el primer método no funcionó conmigo, sólo me funcionó el de después del primer video. Si teneis alguna dudade cómo subir el iTouch/iPhone a la 2.0 preguntadlo allí yo no tengo más idea que vosotros.

Bien, lo que primero me ha sorprendido al subirlo a la 2.0 es las “pocas” aplicaciones que hay, por lo menos las que tenía antes instaladas en mi 1.1.3, y es que Apple ha hecho una buena jugada con la App Store y muchas de las aplicaciones que teníamos en el Installer y Cydia (actual instalador) se han pasado “al lado de Apple”, y muchas de ellas se han vuelto de pago (como nos gusta ganar de dinero jeje). Otro de los problemas que se añaden es que Apple ha modificado algo en el sistema y ahora los desarrolladores de aplicaciones del iPhone/iTouch tienen que convertirlas para que funcionen (cosa que se explica en el propio Cydia).

En fin, yo me quedaría en la versión 1.1.3 o 1.1.4 con todas las aplicaciones que hay… aunque lo más seguro es que en un tiempo empiecen a ser portadas todas las aplicaciones (excepto los que ya se han pasado a la App Store) pero por ahora yo no lo recomiendo.

Posteado por: chipi | julio 16, 2008

Contigo NO, bicho.

Mucho ánimo Carlos y que la den a Chewaka xD

Posteado por: chipi | julio 14, 2008

Solución (provisional) a error OAFIID:Glipper

Este error tan sólo me ha dado en Hardy Heron, anteriormente no había tenido ningún problema con glipper. Si una vez, ya instalado y añadido Glipper al panel de gnome, os aparece al inicio la siguiente ventana:

debeis editar el siguiente archivo con

$ sudo nano /usr/lib/glipper/glipper

y añadir lo siguiente antes de “import gobject”

import time
time.sleep(8)

quedándoos así:

Fuente: Ubuntuforums

« Newer Posts - Older Posts »

Categorías